Folks.EmailDetails.change_email_addresses – folks Reference Manual

# change_email_addresses

## Description:

public virtual async void change_email_addresses (Set<EmailFieldDetails> email_addresses) throws PropertyError

Change the contact's set of e-mail addresses.

It's preferred to call this rather than setting EmailDetails.email_addresses directly, as this method gives error notification and will only return once the e-mail addresses have been written to the relevant backing store (or the operation's failed).

## Parameters:

email_addresses | the new set of e-mail addresses

## Exceptions:

PropertyError | if setting the e-mail addresses failed

## Since:

0.6.2